### Method

# RB RhythmDB entry_gather_metadata

#### Declaration [src]

    RBStringValueMap*
    rhythmdb_entry_gather_metadata (
      RhythmDB* db,
      RhythmDBEntry* entry
    )

#### Description [src]

Gathers all metadata for the `entry`. The returned GHashTable maps property names and extra metadata names (described under `rhythmdb_entry_request_extra_metadata`) to GValues. Anything wanting to provide extra metadata should connect to the “entry_extra_metadata_gather” signal.

#### Parameters

`entry`

  Type: `RhythmDBEntry`

  A `RhythmDBEntry`.

  The data is owned by the caller of the method.

#### Return value

Type: `RBStringValueMap`

A RBStringValueMap containing metadata for the entry. This must be freed using g_object_unref.

The caller of the method takes ownership of the returned data, and is responsible for freeing it.